Bug 1260776 - Error is displayed in the beginning of the deploy: "nodes with no profile that will not be used"
Error is displayed in the beginning of the deploy: "nodes with no profile tha...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity urgent
: y2
: 7.0 (Kilo)
Assigned To: Ryan Brown
Udi
: Triaged
: 1264471 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 13:18 EDT by Udi
Modified: 2016-04-25 23:45 EDT (History)
13 users (show)

See Also:
Fixed In Version: python-rdomanager-oscplugin-0.0.10-10.el7ost
Doc Type: Bug Fix
Doc Text:
This update removes an incorrect warning when deploying the Red Hat Enterprise Linux OpenStack Platform director.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 11:48:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 221940 None None None Never

  None (edit)
Description Udi 2015-09-07 13:18:58 EDT
Description of problem:
When deploying the overcloud we see:

WARNING: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud There are 6 ironic nodes with no profile that will not be used: c6974ddb-c02a-42b2-9beb-916d4dfcb187, b6a19a80-2e49-46c8-ad5a-97c3b46ea066, 51690ab8-9919-458c-a611-d5fff3ef6eec, 0c27d250-9a9a-4813-8e26-c43b073f9e4c, ab90f72f-ff12-4721-b625-6c6067518d31, dfc78417-bce9-4731-b314-3d2ad0d39f2e
ERROR: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud Configuration has 1 warnings, fix them before proceeding.

Despite the error which suggests that all nodes will be excluded from the deployment, the end deployment proceeds to a successful finish.


Version-Release number of selected component (if applicable):
poodle from 2015-09-05.2


How reproducible:
Was reproduced twice in a virtualized setup and once on a BM setup


Steps to Reproduce:
1. I deployed with: openstack overcloud deploy --templates --control-scale 3 --compute-scale 1 --ceph-storage-scale 1 --ntp-server 10.5.26.10


Actual results:
After the error (which appears to be false?) deployment succeeds


Expected results:
No errors
Comment 3 Udi 2015-09-07 13:21:58 EDT
From Marios:

Hey Udi, as I guessed it is coming from the rdomanager plugin (I didn't
have it in my setup - git blame says landed like 7 days ago)...

so the relevant code is [0][1][2]. I don't know why it is happening, but
the warning is logged as a predeploy_warning. Since we are by default
setting validation_warnings_fatal to False, the deploy proceeds (it may
not be an actual problem with the nodes, or could be a sync. issue
Comment 4 Marios Andreou 2015-09-08 02:23:01 EDT
(In reply to Udi from comment #3)
> From Marios:
> 
> Hey Udi, as I guessed it is coming from the rdomanager plugin (I didn't
> have it in my setup - git blame says landed like 7 days ago)...
> 
> so the relevant code is [0][1][2]. I don't know why it is happening, but
> the warning is logged as a predeploy_warning. Since we are by default
> setting validation_warnings_fatal to False, the deploy proceeds (it may
> not be an actual problem with the nodes, or could be a sync. issue


[0]
https://github.com/rdo-management/python-rdomanager-oscplugin/blob/646028f82eeaec9111c6a50ca2e57d3b14f811ba/rdomanager_oscplugin/v1/overcloud_deploy.py#L802

[1]
https://github.com/rdo-management/python-rdomanager-oscplugin/blob/646028f82eeaec9111c6a50ca2e57d3b14f811ba/rdomanager_oscplugin/v1/overcloud_deploy.py#L1164


[2]
https://github.com/rdo-management/python-rdomanager-oscplugin/blob/646028f82eeaec9111c6a50ca2e57d3b14f811ba/rdomanager_oscplugin/v1/overcloud_deploy.py#L1112
Comment 5 Ryan Brown 2015-09-09 15:50:11 EDT
Hi, I've made a patch to prevent this warning from showing when you don't specify flavors (as Udi did). See https://review.openstack.org/221940 for the upstream patch.
Comment 6 bkopilov 2015-09-17 01:20:06 EDT
Hi , 
Reproduced on my setup too , deployment has failed on my side .
Installing all nodes on a single baremetal.
Here is the automation job: 
http://10.35.186.229:8080/view/RHOS_DIRECTOR_RHEL7.1_A_BARMETAL_VM/job/rhos-7-director-rhel-7.1-glance-ceph-cinder-ceph-nova-ceph-keystone-local/8/consoleFull


Could you please suggest a workaround ? 

Thanks, 
Benny
Comment 7 bkopilov 2015-09-17 01:20:24 EDT
Hi , 
Reproduced on my setup too , deployment has failed on my side .
Installing all nodes on a single baremetal.
Here is the automation job: 
http://10.35.186.229:8080/view/RHOS_DIRECTOR_RHEL7.1_A_BARMETAL_VM/job/rhos-7-director-rhel-7.1-glance-ceph-cinder-ceph-nova-ceph-keystone-local/8/consoleFull


Could you please suggest a workaround ? 

Thanks, 
Benny
Comment 8 Ryan Brown 2015-09-17 08:18:51 EDT
The error here isn't what caused your deploy failure - this is just a validation check that isn't totally relevant for the virt use case. I've posted the patches to run the validation only when it's going to be useful, so you can ignore that error for now.
Comment 9 Ryan Brown 2015-09-18 10:27:45 EDT
*** Bug 1264471 has been marked as a duplicate of this bug. ***
Comment 10 Ryan Brown 2015-09-23 14:36:08 EDT
This change is now merged upstream, awaiting downstream review.
Comment 11 Ryan Brown 2015-09-25 11:01:29 EDT
Downstream change is now merged, this will be included in the next build
Comment 15 Udi 2015-11-22 07:35:37 EST
Verified in: python-tripleoclient-0.0.11-5.el7ost.noarch (final beta puddle 2015-11-19.2)
Comment 18 errata-xmlrpc 2015-12-21 11:48:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2650
Comment 19 Dan Yocum 2016-04-25 23:45:59 EDT
Section https://access.redhat.com/documentation/en/red-hat-openstack-platform/version-8/director-installation-and-usage/#sect-Major-Upgrading_the_Overcloud

has the following note that should be removed:

IMPORTANT
If using custom NIC templates from Red Hat OpenStack Platform 7, add the ManagementSubnetIp parameter to the parameters section of your NIC templates. For example:
parameters:
  ManagementIpSubnet: # Only populated when including environments/network-management.yaml
    default: ''
    description: IP address/subnet on the management network
    type: string

The ManagmentIpSubnet is already in the all of the OPS-d v8 nic-config files in /usr/share/openstack-tripleo-heat-template/network/config/*/* files  - no need to add it again.

Note You need to log in before you can comment on or make changes to this bug.